Subject: RE: Compiling apps to Mingw32 with cygwin
From: "Jon Leichter" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, "Earnie Boyd" <[email-masked]>
Date: Sun, 13 Jan 2002 19:56:34 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Robert Collins
> Sent: Sunday, January 13, 2002 12:31 PM
> To: Jon Leichter; Earnie Boyd
> Cc: [email-masked]; [email-masked]
> Subject: Re: Compiling apps to Mingw32 with cygwin
>
> ----- Original Message -----
> From: "Jon Leichter" <[email-masked]>
>
> > First off... thanks again to both Robert and Earnie for taking part in
> this
> > discussion. I appreciate it a lot.
> >
> > Recapping once again...
> >
> > Robert says to use:
> >
> > $ ./configure --host=i686-pc-mingw32 --build=i686-pc-cygwin
> >
> > (no need to set CC if i686-pc-mingw32-gcc exists)
> >
> > Earnie says to use:
> >
> > $ ./configure --host=i686-pc-mingw32 --build=i686-pc-mingw32
> >
> > (still need to explicitly set CC)
>
> Both invocations need to explicitly set CC - because of older configure
> scripts in the first case.

Yes. I conciously left that part out, trying to only imply the case where
one is using up-to-date autoconf. My fault for being less precise.

> > Using Robert's invocation WOULD put configure in cross-compile mode.
> But
> > since using Cygwin GCC to generate MinGW is ALMOST like a
> cross-compile, it
> > will work out ok. In fact, one compelling reason to use Robert's
> method is
> > because one wants the configure script to use the correct build tools,
> e.g.
> > cp instead of copy, rm instead of del, etc. I tend to agree that the
> build
> > environment IS Cygwin for this very reason.
> >
> > So here's a question. If configure is put into cross-compile mode
> (with
> > Robert's method), then wouldn't it be the case that configure would
> NOT
> > execute test binaries? If so, does that hurt the configuration process
> in
> > any way? Is this a problem?
>
> Errgle. It _can_ affect the configure process. Say for instance, squid.
> Squid uses test binaries to determine socket sizes, maximum fd limits
> and the like, which it can't do during a cross compile run, so the cross
> compiler (individual) has to provide those on the command line.
> Cross-compiling certainly reduces the 'magic' detection that can take
> place.
>
> Rob

Grrr... This makes one start believing that Earnie's method is more correct.
I suppose the right answer to this question is: use whichever method seems
to work best for the project that you're working on. If they both work the
same, then use your favorite one.

Jon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/